2019-08-25 03:40 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005697Spring engineGeneralpublic2017-08-18 19:27
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005697: 103.0.1-1256 zlib1 crash
DescriptionHere is a crash in zlib1.dll, it may be useful for the current loading troubles. https://github.com/ZeroK-RTS/CrashReports/issues/1764
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018200

abma (administrator)

for me it looks like an out of memory when writing the demo file. game run for 193900 gameframes (!)

Spring exit code is: -805306369

https://github.com/spring/spring/tree/103.0.1-1256-g4005837

stacktraces:

??:0
??:0
??:0
??:0
??:0
rts/System/LoadSave/DemoRecorder.cpp:76
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_vector.h:416
rts/System/LoadSave/DemoRecorder.cpp:39
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:539
rts/System/Main.cpp:43
rts/System/Main.cpp:92
/opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
??:0
??:0
??:0
??:0
rts/lib/mingw-std-threads/mingw.thread.h:157
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2073
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2029
??:0
??:0
??:0
??:0
??:0
??:0
??:0
rts/System/LoadSave/DemoRecorder.cpp:76
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_vector.h:416
rts/System/LoadSave/DemoRecorder.cpp:39
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:539
rts/System/Main.cpp:43
rts/System/Main.cpp:92
/opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
??:0
??:0
??:0
??:0
rts/lib/mingw-std-threads/mingw.thread.h:157
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2073
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2029
??:0
??:0

~0018201

Kloot (developer)

Last edited: 2017-08-14 17:01

View 2 revisions

hang (not crash) while compressing a huge 193900-frame demofile, this isn't informative.

also: why the continued use of sdp?

~0018206

Google_Frog (reporter)

I don't know why some infologs pop up with sdp. Does Spring load sdz preferentially?

~0018207

Kloot (developer)

Last edited: 2017-08-14 17:08

View 4 revisions

if the same archive is present in Spring's data directories under different formats (a bad idea to begin with) then whichever one is found first should take precedence, but I'd assumed the switch to sdz was accompanied by a new ZK stable version. it could also be that the lobby is still generating script.txt with an sdp reference.

~0018221

Kloot (developer)

should not be an issue anymore after c96ca352
+Notes

-Issue History
Date Modified Username Field Change
2017-08-13 03:22 Google_Frog New Issue
2017-08-13 11:02 abma Note Added: 0018200
2017-08-13 11:03 Kloot Note Added: 0018201
2017-08-14 16:16 Google_Frog Note Added: 0018206
2017-08-14 17:00 Kloot Note Added: 0018207
2017-08-14 17:00 Kloot Note Edited: 0018207 View Revisions
2017-08-14 17:01 Kloot Note Edited: 0018201 View Revisions
2017-08-14 17:02 Kloot Note Edited: 0018207 View Revisions
2017-08-14 17:08 Kloot Note Edited: 0018207 View Revisions
2017-08-18 19:27 Kloot Assigned To => Kloot
2017-08-18 19:27 Kloot Status new => resolved
2017-08-18 19:27 Kloot Resolution open => fixed
2017-08-18 19:27 Kloot Fixed in Version => 103.0 +git
2017-08-18 19:27 Kloot Note Added: 0018221
+Issue History